Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.78.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
246.78.0.0
Broadcast address
246.79.255.255
First usable
246.78.0.1
Last usable
246.79.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F64E0000 · Integer 4132306944 to 4132438015
Reverse DNS zones
78.246.in-addr.arpa
79.246.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.01001110.00000000.00000000246.78.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11110110.01001110.00000000.00000000246.78.0.0
Broadcast11110110.01001111.11111111.11111111246.79.255.255
Split into smaller subnets/22

246.78.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.78.0.0/22246.78.0.1 to 246.78.3.254246.78.3.2551,022
2246.78.4.0/22246.78.4.1 to 246.78.7.254246.78.7.2551,022
3246.78.8.0/22246.78.8.1 to 246.78.11.254246.78.11.2551,022
4246.78.12.0/22246.78.12.1 to 246.78.15.254246.78.15.2551,022
5246.78.16.0/22246.78.16.1 to 246.78.19.254246.78.19.2551,022
6246.78.20.0/22246.78.20.1 to 246.78.23.254246.78.23.2551,022
7246.78.24.0/22246.78.24.1 to 246.78.27.254246.78.27.2551,022
8246.78.28.0/22246.78.28.1 to 246.78.31.254246.78.31.2551,022
9246.78.32.0/22246.78.32.1 to 246.78.35.254246.78.35.2551,022
10246.78.36.0/22246.78.36.1 to 246.78.39.254246.78.39.2551,022
11246.78.40.0/22246.78.40.1 to 246.78.43.254246.78.43.2551,022
12246.78.44.0/22246.78.44.1 to 246.78.47.254246.78.47.2551,022
13246.78.48.0/22246.78.48.1 to 246.78.51.254246.78.51.2551,022
14246.78.52.0/22246.78.52.1 to 246.78.55.254246.78.55.2551,022
15246.78.56.0/22246.78.56.1 to 246.78.59.254246.78.59.2551,022
16246.78.60.0/22246.78.60.1 to 246.78.63.254246.78.63.2551,022
17246.78.64.0/22246.78.64.1 to 246.78.67.254246.78.67.2551,022
18246.78.68.0/22246.78.68.1 to 246.78.71.254246.78.71.2551,022
19246.78.72.0/22246.78.72.1 to 246.78.75.254246.78.75.2551,022
20246.78.76.0/22246.78.76.1 to 246.78.79.254246.78.79.2551,022
21246.78.80.0/22246.78.80.1 to 246.78.83.254246.78.83.2551,022
22246.78.84.0/22246.78.84.1 to 246.78.87.254246.78.87.2551,022
23246.78.88.0/22246.78.88.1 to 246.78.91.254246.78.91.2551,022
24246.78.92.0/22246.78.92.1 to 246.78.95.254246.78.95.2551,022
25246.78.96.0/22246.78.96.1 to 246.78.99.254246.78.99.2551,022
26246.78.100.0/22246.78.100.1 to 246.78.103.254246.78.103.2551,022
27246.78.104.0/22246.78.104.1 to 246.78.107.254246.78.107.2551,022
28246.78.108.0/22246.78.108.1 to 246.78.111.254246.78.111.2551,022
29246.78.112.0/22246.78.112.1 to 246.78.115.254246.78.115.2551,022
30246.78.116.0/22246.78.116.1 to 246.78.119.254246.78.119.2551,022
31246.78.120.0/22246.78.120.1 to 246.78.123.254246.78.123.2551,022
32246.78.124.0/22246.78.124.1 to 246.78.127.254246.78.127.2551,022
33246.78.128.0/22246.78.128.1 to 246.78.131.254246.78.131.2551,022
34246.78.132.0/22246.78.132.1 to 246.78.135.254246.78.135.2551,022
35246.78.136.0/22246.78.136.1 to 246.78.139.254246.78.139.2551,022
36246.78.140.0/22246.78.140.1 to 246.78.143.254246.78.143.2551,022
37246.78.144.0/22246.78.144.1 to 246.78.147.254246.78.147.2551,022
38246.78.148.0/22246.78.148.1 to 246.78.151.254246.78.151.2551,022
39246.78.152.0/22246.78.152.1 to 246.78.155.254246.78.155.2551,022
40246.78.156.0/22246.78.156.1 to 246.78.159.254246.78.159.2551,022
41246.78.160.0/22246.78.160.1 to 246.78.163.254246.78.163.2551,022
42246.78.164.0/22246.78.164.1 to 246.78.167.254246.78.167.2551,022
43246.78.168.0/22246.78.168.1 to 246.78.171.254246.78.171.2551,022
44246.78.172.0/22246.78.172.1 to 246.78.175.254246.78.175.2551,022
45246.78.176.0/22246.78.176.1 to 246.78.179.254246.78.179.2551,022
46246.78.180.0/22246.78.180.1 to 246.78.183.254246.78.183.2551,022
47246.78.184.0/22246.78.184.1 to 246.78.187.254246.78.187.2551,022
48246.78.188.0/22246.78.188.1 to 246.78.191.254246.78.191.2551,022
49246.78.192.0/22246.78.192.1 to 246.78.195.254246.78.195.2551,022
50246.78.196.0/22246.78.196.1 to 246.78.199.254246.78.199.2551,022
51246.78.200.0/22246.78.200.1 to 246.78.203.254246.78.203.2551,022
52246.78.204.0/22246.78.204.1 to 246.78.207.254246.78.207.2551,022
53246.78.208.0/22246.78.208.1 to 246.78.211.254246.78.211.2551,022
54246.78.212.0/22246.78.212.1 to 246.78.215.254246.78.215.2551,022
55246.78.216.0/22246.78.216.1 to 246.78.219.254246.78.219.2551,022
56246.78.220.0/22246.78.220.1 to 246.78.223.254246.78.223.2551,022
57246.78.224.0/22246.78.224.1 to 246.78.227.254246.78.227.2551,022
58246.78.228.0/22246.78.228.1 to 246.78.231.254246.78.231.2551,022
59246.78.232.0/22246.78.232.1 to 246.78.235.254246.78.235.2551,022
60246.78.236.0/22246.78.236.1 to 246.78.239.254246.78.239.2551,022
61246.78.240.0/22246.78.240.1 to 246.78.243.254246.78.243.2551,022
62246.78.244.0/22246.78.244.1 to 246.78.247.254246.78.247.2551,022
63246.78.248.0/22246.78.248.1 to 246.78.251.254246.78.251.2551,022
64246.78.252.0/22246.78.252.1 to 246.78.255.254246.78.255.2551,022
65246.79.0.0/22246.79.0.1 to 246.79.3.254246.79.3.2551,022
66246.79.4.0/22246.79.4.1 to 246.79.7.254246.79.7.2551,022
67246.79.8.0/22246.79.8.1 to 246.79.11.254246.79.11.2551,022
68246.79.12.0/22246.79.12.1 to 246.79.15.254246.79.15.2551,022
69246.79.16.0/22246.79.16.1 to 246.79.19.254246.79.19.2551,022
70246.79.20.0/22246.79.20.1 to 246.79.23.254246.79.23.2551,022
71246.79.24.0/22246.79.24.1 to 246.79.27.254246.79.27.2551,022
72246.79.28.0/22246.79.28.1 to 246.79.31.254246.79.31.2551,022
73246.79.32.0/22246.79.32.1 to 246.79.35.254246.79.35.2551,022
74246.79.36.0/22246.79.36.1 to 246.79.39.254246.79.39.2551,022
75246.79.40.0/22246.79.40.1 to 246.79.43.254246.79.43.2551,022
76246.79.44.0/22246.79.44.1 to 246.79.47.254246.79.47.2551,022
77246.79.48.0/22246.79.48.1 to 246.79.51.254246.79.51.2551,022
78246.79.52.0/22246.79.52.1 to 246.79.55.254246.79.55.2551,022
79246.79.56.0/22246.79.56.1 to 246.79.59.254246.79.59.2551,022
80246.79.60.0/22246.79.60.1 to 246.79.63.254246.79.63.2551,022
81246.79.64.0/22246.79.64.1 to 246.79.67.254246.79.67.2551,022
82246.79.68.0/22246.79.68.1 to 246.79.71.254246.79.71.2551,022
83246.79.72.0/22246.79.72.1 to 246.79.75.254246.79.75.2551,022
84246.79.76.0/22246.79.76.1 to 246.79.79.254246.79.79.2551,022
85246.79.80.0/22246.79.80.1 to 246.79.83.254246.79.83.2551,022
86246.79.84.0/22246.79.84.1 to 246.79.87.254246.79.87.2551,022
87246.79.88.0/22246.79.88.1 to 246.79.91.254246.79.91.2551,022
88246.79.92.0/22246.79.92.1 to 246.79.95.254246.79.95.2551,022
89246.79.96.0/22246.79.96.1 to 246.79.99.254246.79.99.2551,022
90246.79.100.0/22246.79.100.1 to 246.79.103.254246.79.103.2551,022
91246.79.104.0/22246.79.104.1 to 246.79.107.254246.79.107.2551,022
92246.79.108.0/22246.79.108.1 to 246.79.111.254246.79.111.2551,022
93246.79.112.0/22246.79.112.1 to 246.79.115.254246.79.115.2551,022
94246.79.116.0/22246.79.116.1 to 246.79.119.254246.79.119.2551,022
95246.79.120.0/22246.79.120.1 to 246.79.123.254246.79.123.2551,022
96246.79.124.0/22246.79.124.1 to 246.79.127.254246.79.127.2551,022
97246.79.128.0/22246.79.128.1 to 246.79.131.254246.79.131.2551,022
98246.79.132.0/22246.79.132.1 to 246.79.135.254246.79.135.2551,022
99246.79.136.0/22246.79.136.1 to 246.79.139.254246.79.139.2551,022
100246.79.140.0/22246.79.140.1 to 246.79.143.254246.79.143.2551,022
101246.79.144.0/22246.79.144.1 to 246.79.147.254246.79.147.2551,022
102246.79.148.0/22246.79.148.1 to 246.79.151.254246.79.151.2551,022
103246.79.152.0/22246.79.152.1 to 246.79.155.254246.79.155.2551,022
104246.79.156.0/22246.79.156.1 to 246.79.159.254246.79.159.2551,022
105246.79.160.0/22246.79.160.1 to 246.79.163.254246.79.163.2551,022
106246.79.164.0/22246.79.164.1 to 246.79.167.254246.79.167.2551,022
107246.79.168.0/22246.79.168.1 to 246.79.171.254246.79.171.2551,022
108246.79.172.0/22246.79.172.1 to 246.79.175.254246.79.175.2551,022
109246.79.176.0/22246.79.176.1 to 246.79.179.254246.79.179.2551,022
110246.79.180.0/22246.79.180.1 to 246.79.183.254246.79.183.2551,022
111246.79.184.0/22246.79.184.1 to 246.79.187.254246.79.187.2551,022
112246.79.188.0/22246.79.188.1 to 246.79.191.254246.79.191.2551,022
113246.79.192.0/22246.79.192.1 to 246.79.195.254246.79.195.2551,022
114246.79.196.0/22246.79.196.1 to 246.79.199.254246.79.199.2551,022
115246.79.200.0/22246.79.200.1 to 246.79.203.254246.79.203.2551,022
116246.79.204.0/22246.79.204.1 to 246.79.207.254246.79.207.2551,022
117246.79.208.0/22246.79.208.1 to 246.79.211.254246.79.211.2551,022
118246.79.212.0/22246.79.212.1 to 246.79.215.254246.79.215.2551,022
119246.79.216.0/22246.79.216.1 to 246.79.219.254246.79.219.2551,022
120246.79.220.0/22246.79.220.1 to 246.79.223.254246.79.223.2551,022
121246.79.224.0/22246.79.224.1 to 246.79.227.254246.79.227.2551,022
122246.79.228.0/22246.79.228.1 to 246.79.231.254246.79.231.2551,022
123246.79.232.0/22246.79.232.1 to 246.79.235.254246.79.235.2551,022
124246.79.236.0/22246.79.236.1 to 246.79.239.254246.79.239.2551,022
125246.79.240.0/22246.79.240.1 to 246.79.243.254246.79.243.2551,022
126246.79.244.0/22246.79.244.1 to 246.79.247.254246.79.247.2551,022
127246.79.248.0/22246.79.248.1 to 246.79.251.254246.79.251.2551,022
128246.79.252.0/22246.79.252.1 to 246.79.255.254246.79.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses